# Function getEquivalencyTypeForLayers

- getEquivalencyTypeForLayers(layer1Input, layer2Input): "none" | "solid" | "loose"

- Gets an equivalency type for two layer objects.

  Matching layers are considered a solid match by: object reference, layer id, group layer + layer title, layer url + layer title.

  Matching layers are considered a loose match by: layer url, layer title.

  If either layer is undefined, "none" is returned.

  #### Parameters

  - layer1Input: Layer | LayerJson | LayerProperties

    The first layer to compare.

  - layer2Input: Layer | LayerJson | LayerProperties

    The second layer to compare against.

  #### Returns "none" | "solid" | "loose"

  The type of equivalency for the two layers. "none" = not a match. "solid" = a strong match. "loose" = a fuzzy match.